# Enrich Companies

Enrich companies from search results. This is step 3 of the prospecting process.

 Endpoint: (POST)  https://api.lusha.com/prospecting/company/enrich

Endpoint: POST /prospecting/company/enrich
Security: ApiKeyAuth

## Request fields (application/json):

  - `requestId` (string, required)
    The requestId from the Prospecting Search response
    Example: "5ad275c8-7dd4-462a-bd45-6bc1970da64e"

  - `companiesIds` (array, required)
    An array of company IDs for enrichment. Min 1, max 100.
    Example: ["1586"]

## Response 200 fields (application/json):

  - `requestId` (string)
    The requestId used in the request

  - `companies` (array)

  - `companies.id` (number)
    Example: 33222678

  - `companies.name` (string)
    Example: "Lusha"

  - `companies.companySize` (object)

  - `companies.companySize.min` (number)
    Example: 11

  - `companies.companySize.max` (number)
    Example: 50

  - `companies.companySize.employees_in_linkedin` (number)
    Example: 32

  - `companies.employees` (string)
    Example: "10001 - 100000"

  - `companies.revenueRange` (array)
    Example: [10000000,50000000]

  - `companies.fqdn` (string)
    Example: "www.lusha.com"

  - `companies.description` (string)
    Example: "Lusha is the sales intelligence platform designed to help businesses get their next customers."

  - `companies.domains` (object)

  - `companies.domains.email` (string)
    Example: "lusha.com"

  - `companies.domains.homepage` (string)
    Example: "lusha.com"

  - `companies.logoUrl` (string)
    Example: "https://logo.lusha.co/logo.jpg"

  - `companies.industryTags` (array)
    Example: [["Technology, Information & Media","Software Development"]]

  - `companies.stateCode` (string)
    Example: "MA"

  - `companies.social` (object)

  - `companies.social.linkedin` (string)
    Example: "https://www.linkedin.com/company/lushadata"

  - `companies.social.crunchbase` (string)
    Example: "https://www.crunchbase.com/organization/lusha"

  - `companies.city` (string)
    Example: "Boston"

  - `companies.state` (string)
    Example: "Massachusetts"

  - `companies.country` (string)
    Example: "United States"

  - `companies.countryIso2` (string)
    Example: "US"

  - `companies.continent` (string)
    Example: "North America"

  - `companies.rawLocation` (string)
    Example: "800 Boylston St; Suite 1410; Boston, Massachusetts 02199, US"

  - `companies.coordinates` (array)
    Example: [-71.05976867675781,42.358428955078125]

  - `companies.specialities` (array)
    Example: ["data enrichment","sales intelligence","lead generation","prospecting"]

  - `companies.mainIndustry` (string)
    Example: "Technology, Information & Media"

  - `companies.subIndustry` (string)
    Example: "Software Development"

  - `companies.linkedinFollowers` (integer)
    Example: 1950

  - `companies.emailDomain` (string)
    Example: "bitcoinromania.ro"

  - `companies.companyLocations` (array)
    All known company locations (not just HQ)

  - `companies.companyLocations.city` (string)

  - `companies.companyLocations.continent` (string)

  - `companies.companyLocations.country` (string)

  - `companies.companyLocations.country_iso2` (string)

  - `companies.companyLocations.location_coordinates` (array)

  - `companies.companyLocations.state` (string,null)

  - `companies.companyLocations.state_code` (string,null)

  - `companies.alternativeName` (string)
    Example: "bitcoin romania"

  - `companies.companyType` (string)
    Example: "Private company"

  - `companies.lushaPopularityTier` (integer)
    Example: 1

  - `companies.funding` (object)

  - `companies.funding.rounds` (array)

  - `companies.funding.rounds.currency` (string, required)
    Example: "USD"

  - `companies.funding.rounds.roundAmount` (number, required)
    Example: 205000000

  - `companies.funding.rounds.roundType` (string, required)
    Example: "Private Equity Round"

  - `companies.funding.rounds.roundDate` (string, required)
    Example: "Nov 10, 2021"

  - `companies.funding.totalRounds` (number, required)
    Example: 2

  - `companies.funding.totalRoundsAmount` (number)
    Example: 245000000

  - `companies.funding.currency` (string, required)
    Example: "USD"

  - `companies.funding.isIpo` (boolean, required)

  - `companies.funding.lastRoundType` (string)
    Example: "Private Equity Round"

  - `companies.funding.lastRoundAmount` (number)
    Example: 205000000

  - `companies.funding.lastRoundDate` (string)
    Example: "Nov 10, 2021"

  - `companies.intent` (object)

  - `companies.intent.detectedTopics` (array, required)

  - `companies.intent.detectedTopics.topicName` (string, required)
    Example: "Remote Sales"

  - `companies.intent.detectedTopics.metadata` (object, required)

  - `companies.intent.detectedTopics.metadata.topicScore` (number, required)
    Example: 83

  - `companies.intent.detectedTopics.metadata.topicTrend` (string, required)
    Example: "-5"

  - `companies.intent.topicCount` (number, required)
    Example: 6

  - `companies.technologies` (array)

  - `companies.technologies.name` (string, required)
    Example: "salesforce"

  - `companies.riskNews` (array)

  - `companies.riskNews.companyId` (string)
    Example: "33222678"

  - `companies.riskNews.companyName` (string)
    Example: "Lusha"

  - `companies.riskNews.domain` (string)
    Example: "lusha.com"

  - `companies.riskNews.signalId` (string)
    Example: "1503910"

  - `companies.riskNews.eventType` (string)
    Example: "partnership"

  - `companies.riskNews.eventSummary` (string)
    Example: "Lusha announced a strategic partnership with Salesforce."

  - `companies.riskNews.articlePublishedDate` (string)
    Example: "2025-06-15"

  - `companies.riskNews.articleTitle` (string)
    Example: "Lusha Partners with Salesforce"

  - `companies.riskNews.articleHighlight` (string)
    Example: "The partnership enables Salesforce users to access Lusha data directly within their CRM."

  - `companies.riskNews.eventEffectiveDate` (string)
    Example: "2025-06-10"

  - `companies.riskNews.articleUrl` (string)
    Example: "https://example.com/lusha-salesforce-partnership"

  - `companies.commercialActivityNews` (array)

  - `companies.corporateStrategyNews` (array)

  - `companies.financialEventsNews` (array)

  - `companies.peopleNews` (array)

  - `companies.marketIntelligenceNews` (array)

  - `companies.productActivityNews` (array)

  - `companies.surgeInHiring` (array)

  - `companies.surgeInHiring.companyId` (string)
    Example: "3416"

  - `companies.surgeInHiring.signalId` (string)
    Example: "1503905"

  - `companies.surgeInHiring.signalDate` (string)
    Example: "2025-06-15"

  - `companies.surgeInHiring.newJobsPostedLastWeek` (number)
    Example: 25

  - `companies.surgeInHiring.historicalAvg` (number)
    Example: 10

  - `companies.surgeInHiring.changeRatePercent` (number)
    Example: 150

  - `companies.surgeInHiring.companyName` (string)
    Example: "Lusha"

  - `companies.surgeInHiring.domain` (string)
    Example: "lusha.com"

  - `companies.surgeInHiringByDepartment` (array)

  - `companies.surgeInHiringByDepartment.signalId` (string)
    Example: "1503906"

  - `companies.surgeInHiringByDepartment.companyId` (string)
    Example: "3416"

  - `companies.surgeInHiringByDepartment.department` (string)
    Example: "Engineering"

  - `companies.surgeInHiringByDepartment.signalDate` (string)
    Example: "2025-06-15"

  - `companies.surgeInHiringByDepartment.newJobsPostedLast4Weeks` (number)
    Example: 15

  - `companies.surgeInHiringByDepartment.historicalAvg` (number)
    Example: 5

  - `companies.surgeInHiringByDepartment.changeRatePercent` (number)
    Example: 200

  - `companies.surgeInHiringByDepartment.companyName` (string)
    Example: "Lusha"

  - `companies.surgeInHiringByDepartment.domain` (string)
    Example: "lusha.com"

  - `companies.surgeInHiringByLocation` (array)

  - `companies.surgeInHiringByLocation.signalId` (string)
    Example: "1503907"

  - `companies.surgeInHiringByLocation.companyId` (string)
    Example: "3416"

  - `companies.surgeInHiringByLocation.country` (string)
    Example: "United States"

  - `companies.surgeInHiringByLocation.state` (string)
    Example: "California"

  - `companies.surgeInHiringByLocation.signalDate` (string)
    Example: "2025-06-15"

  - `companies.surgeInHiringByLocation.newJobsPostedLast4Weeks` (number)
    Example: 20

  - `companies.surgeInHiringByLocation.historicalAvg` (number)
    Example: 8

  - `companies.surgeInHiringByLocation.changeRatePercent` (number)
    Example: 150

  - `companies.surgeInHiringByLocation.companyName` (string)
    Example: "Lusha"

  - `companies.surgeInHiringByLocation.domain` (string)
    Example: "lusha.com"

  - `companies.websiteTrafficIncrease` (array)

  - `companies.websiteTrafficIncrease.companyId` (string)
    Example: "3416"

  - `companies.websiteTrafficIncrease.signalId` (string)
    Example: "1503902"

  - `companies.websiteTrafficIncrease.signalDate` (string)
    Example: "2025-06-15"

  - `companies.websiteTrafficIncrease.historicalAvg` (number)
    Example: 50000

  - `companies.websiteTrafficIncrease.lastMonthVisits` (number)
    Example: 75000

  - `companies.websiteTrafficIncrease.changeRatePercent` (number)
    Example: 50

  - `companies.websiteTrafficIncrease.companyName` (string)
    Example: "Lusha"

  - `companies.websiteTrafficIncrease.domain` (string)
    Example: "lusha.com"

  - `companies.websiteTrafficDecrease` (array)

  - `companies.itSpendIncrease` (array)

  - `companies.itSpendIncrease.companyId` (string)
    Example: "3416"

  - `companies.itSpendIncrease.signalId` (string)
    Example: "1503903"

  - `companies.itSpendIncrease.signalDate` (string)
    Example: "2025-06-15"

  - `companies.itSpendIncrease.estimatedAnnualItSpend` (number)
    Example: 5000000

  - `companies.itSpendIncrease.changeRatePercent` (number)
    Example: 25

  - `companies.itSpendIncrease.companyName` (string)
    Example: "Lusha"

  - `companies.itSpendIncrease.domain` (string)
    Example: "lusha.com"

  - `companies.itSpendDecrease` (array)

  - `companies.headcountIncrease1m` (array)

  - `companies.headcountIncrease1m.companyId` (string)
    Example: "3416"

  - `companies.headcountIncrease1m.signalId` (string)
    Example: "1503904"

  - `companies.headcountIncrease1m.signalDate` (string)
    Example: "2025-06-15"

  - `companies.headcountIncrease1m.baselineEmployeesCount` (number)
    Example: 500

  - `companies.headcountIncrease1m.newEmployeesCount` (number)
    Example: 550

  - `companies.headcountIncrease1m.changeRatePercent` (number)
    Example: 10

  - `companies.headcountIncrease1m.companyName` (string)
    Example: "Lusha"

  - `companies.headcountIncrease1m.domain` (string)
    Example: "lusha.com"

  - `companies.headcountDecrease1m` (array)

  - `companies.headcountIncrease3m` (array)

  - `companies.headcountDecrease3m` (array)

  - `companies.headcountIncrease6m` (array)

  - `companies.headcountDecrease6m` (array)

  - `companies.headcountIncrease12m` (array)

  - `companies.headcountDecrease12m` (array)

## Response 400 fields (application/json):

  - `statusCode` (integer, required)
    HTTP status code
    Example: 400

  - `message` (string, required)
    Error message
    Example: "Validation failed"

  - `errors` (array)
    Detailed error messages (optional, only for validation errors)
    Example: ["entityType must be one of: contact, company"]


